Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Interface NeuralElement

All Known Subinterfaces:
  ComparingElement, InputPatternListener, OutputPatternListener

All Known Implementing Classes:
  AbstractTeacherSynapse, BufferedSynapse, ComparingSynapse, ComparisonSynapse, DelaySynapse, DirectSynapse, FahlmanTeacherSynapse, FileInputSynapse, FileOutputSynapse, FreudRuleFullSynapse, FullSynapse, ImageInputSynapse, ImageOutputSynapse, InputConnector, InputSwitchSynapse, JDBCInputSynapse, JDBCOutputSynapse, KohonenSynapse, LearningSwitch, MemoryInputSynapse, MemoryOutputSynapse, MultipleInputSynapse, OutputSwitchSynapse, PatternForwardedSynapse, RbfInputSynapse, SangerSynapse, StreamInputSynapse, StreamOutputSynapse, Synapse, TeacherSynapse, TeachingSynapse, URLInputSynapse, XLSInputSynapse, XLSOutputSynapse, YahooFinanceInputSynapse

    public interface NeuralElement

This interface represents a generic element of a neural network

Method Summary
`java.util.TreeSet` | `check()` Validation checks for invalid parameter values, misconfiguration, etc.
`Monitor` | `getMonitor()` Returns the monitor
`java.lang.String` | `getName()` Returns the name of the output synapse
`void` | `init()`
`boolean` | `isEnabled()`
`void` | `setEnabled(boolean enabled)`
`void` | `setMonitor(Monitor newMonitor)` Sets the Monitor object of the output synapse
`void` | `setName(java.lang.String name)` Sets the name of the output synapse

Method Detail

### isEnabled

    boolean isEnabled()

### setEnabled

    void setEnabled(boolean enabled)

### setMonitor

    void setMonitor(Monitor newMonitor)

  Sets the Monitor object of the output synapse

  Parameters:
    `newMonitor` - org.joone.engine.Monitor

### getMonitor

    Monitor getMonitor()

  Returns the monitor

  Returns:
    org.joone.engine.Monitor

### getName

    java.lang.String getName()

  Returns the name of the output synapse

  Returns:
    String

### setName

    void setName(java.lang.String name)

  Sets the name of the output synapse

  Parameters:
    `name` - String

### init

    void init()

### check

    java.util.TreeSet check()

  Validation checks for invalid parameter values, misconfiguration, etc. All network components should include a check method that firstly calls its ancestor check method and adds these to any check messages it produces. This allows check messages to be collected from all levels of a component to be returned to the caller's check method. Using a TreeSet ensures that duplicate messages are removed. Check messages should be produced using the generateValidationErrorMessage method of the NetChecker class.

  Returns:
    validation errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net